Bug 1165936 (CVE-2014-3625) - CVE-2014-3625 Spring Framework: directory traversal flaw
Summary: CVE-2014-3625 Spring Framework: directory traversal flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3625
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1166217 1166218 1166219 1166220 1166221 1166222 1166223 1166224 1166225 1166373 1166375 1166376
Blocks: 1162937 1181883 1182419 1194004 1196328
TreeView+ depends on / blocked
 
Reported: 2014-11-20 04:34 UTC by Chess Hazlett
Modified: 2019-09-29 13:24 UTC (History)
20 users (show)

Fixed In Version: spring-webmvc 3.2.12, spring-webmvc 4.0.8, spring-webmvc 4.1.2
Doc Type: Bug Fix
Doc Text:
A directory traversal flaw was found in the way the Spring Framework sanitized certain URLs. A remote attacker could use this flaw to obtain any file on the file system that was also accessible to the process in which the Spring web application was running.
Clone Of:
Environment:
Last Closed: 2016-04-11 04:09:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0234 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.0.3 security update 2015-02-18 03:27:47 UTC
Red Hat Product Errata RHSA-2015:0235 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.0.3 security update 2015-02-18 03:27:36 UTC
Red Hat Product Errata RHSA-2015:0236 normal SHIPPED_LIVE Moderate: Red Hat JBoss Fuse/A-MQ 6.1.0 security and bug fix update 2015-02-19 02:31:32 UTC
Red Hat Product Errata RHSA-2015:0720 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse Service Works 6.0.0 security update 2015-03-25 01:05:53 UTC

Description Chess Hazlett 2014-11-20 04:34:37 UTC
Some URLs were not santized correctly before use allowing an attacker to obtain any file on the file system that was also accessible to process in which the Spring web application was running.

Comment 4 Arun Babu Neelicattu 2014-12-18 20:35:50 UTC
Victims Record:

https://github.com/victims/victims-cve-db/blob/master/database/java/2014/3625.yaml

Comment 6 errata-xmlrpc 2015-02-17 22:31:01 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.0.3

Via RHSA-2015:0235 https://rhn.redhat.com/errata/RHSA-2015-0235.html

Comment 7 errata-xmlrpc 2015-02-17 22:36:01 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.0.3

Via RHSA-2015:0234 https://rhn.redhat.com/errata/RHSA-2015-0234.html

Comment 9 errata-xmlrpc 2015-02-18 21:32:01 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse/A-MQ 6.1.0

Via RHSA-2015:0236 https://rhn.redhat.com/errata/RHSA-2015-0236.html

Comment 10 errata-xmlrpc 2015-03-24 21:07:58 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse Service Works 6.0.0

Via RHSA-2015:0720 https://rhn.redhat.com/errata/RHSA-2015-0720.html

Comment 11 Chess Hazlett 2016-04-11 04:09:45 UTC
Red Hat JBoss Portal is now in Maintenance Support phase, receiving only qualified Important and Critical impact security fixes. This issue has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the JBoss Product Life Cycle: https://access.redhat.com/support/policy/updates/jboss_notes/


Note You need to log in before you can comment on or make changes to this bug.